Works great on FF 13.0 Rated 5 out of 5 stars

Exactly what I was looking for and it works great with FF 13.0

Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0

This review is for a previous version of the add-on (0.5a5.4.3).